Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.gwt
Class DSessConnInfo

    java.lang.Object
      weblogic.wtc.gwt.DSessConnInfo

All Implemented Interfaces:
  Serializable

public class DSessConnInfo
extends Object
implements Serializable

Provides information on a single Tuxedo connection.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `DSessConnInfo()`
`protected` | `DSessConnInfo(String localId, String remoteId, boolean isConn)`

Method Summary
`String` | `getLocalAccessPointId()` Retrieve the local access point id.
`String` | `getRemoteAccessPointId()` Retrieve the remote access point id.
`boolean` | `isConnected()` Retrieve the state of the connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSessConnInfo

    public DSessConnInfo()

### DSessConnInfo

    protected DSessConnInfo(String localId,
                            String remoteId,
                            boolean isConn)

Method Detail

### getLocalAccessPointId

    public String getLocalAccessPointId()

  Retrieve the local access point id.

  Returns:
    The local acesspoint id.

### getRemoteAccessPointId

    public String getRemoteAccessPointId()

  Retrieve the remote access point id.

  Returns:
    The remote acesspoint id.

### isConnected

    public boolean isConnected()

  Retrieve the state of the connection.

  Returns:
    True if the connection is active, else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD